function data_gui3_demo2
    data_gui3(@demoinit2); % init data stucture
end

function [data redraw] = demoinit2( data, redraw ) % init callback
    % gui element definition:
    g = cell( {
        % obligation definitions                    optional definitions:
        %                                           'property name1' 'property value1' 'name 2' 'value 2'
        { 'figure'      'demo2fig'                             'name' 'align boxes'}
        { 'statictext'  'sFull'     'demo2fig' 'Full'           }
        { 'statictext'  'sShrink'   'demo2fig' 'Shrink'         }
        { 'statictext'  'sTop1'     'demo2fig' 'Top 1'          }
        { 'statictext'  'sTop2'     'demo2fig' 'Top 2'          }
        { 'statictext'  'sTop3'     'demo2fig' 'Top 3'          }
        { 'statictext'  'sBottom1'  'demo2fig' 'Bottom 1'       }
        { 'statictext'  'sBottom2'  'demo2fig' 'Bottom 2'       }
        { 'statictext'  'sBottom3'  'demo2fig' 'Bottom 3'       }
        { 'statictext'  'sVCenter1' 'demo2fig' 'VCenter 1'      }
        { 'statictext'  'sVCenter2' 'demo2fig' 'VCenter 2'      }
        { 'statictext'  'sVCenter3' 'demo2fig' 'VCenter 3'      }
        { 'statictext'  'sLeft1'    'demo2fig' 'Left 1'         }
        { 'statictext'  'sLeft2'    'demo2fig' 'Left 2'         }
        { 'statictext'  'sLeft3'    'demo2fig' 'Left 3'         }
        { 'statictext'  'sRight1'   'demo2fig' 'Right 1'        }
        { 'statictext'  'sRight2'   'demo2fig' 'Right 2'        }
        { 'statictext'  'sRight3'   'demo2fig' 'Right 3'        }
        { 'statictext'  'sHCenter1' 'demo2fig' 'HCenter1'       }
        { 'statictext'  'sHCenter2' 'demo2fig' 'HCenter2'       }
        { 'statictext'  'sHCenter3' 'demo2fig' 'HCenter3'       }
        { 'statictext'  'staticA1'  'demo2fig' 'Left 1 Filled'  }
        { 'statictext'  'staticA2'  'demo2fig' 'Left 2 Filled'  }
        { 'statictext'  'staticA3'  'demo2fig' 'Left 3 Filled'  }
        { 'statictext'  'staticD1'  'demo2fig' 'Bottom 1 Filled'}
        { 'statictext'  'staticD2'  'demo2fig' 'Bottom 2 Filled'}
        { 'statictext'  'staticD3'  'demo2fig' 'Bottom 3 Filled'}
        { 'panel'       'panel1'    'demo2fig'                  'title' 'Panel 1' }
        { 'statictext'  'staticP1'  'demo2fig' 'Inside panel'   }
        } );
    data = data.CALL.addGui(data, g); % create gui elements

    a123 = {{ 0 16 2 16 2 16  } ; { [] 'sTop1'     [] 'sTop2'     [] 'sTop3'        }};
    b123 = {{   16 2 16 2 16  } ; {    'sBottom1'  [] 'sBottom2'  [] 'sBottom3'     }};
    c123 = {{ 0 16 2 16 2 16 0} ; { [] 'sVCenter1' [] 'sVCenter2' [] 'sVCenter3' [] }};
    d123 = {{   16 2 16 2 16  }   {    'sLeft1'    [] 'sLeft2'    [] 'sLeft3'       }};
    e123 = {{ 0 16 2 16 2 16  }   { [] 'sRight1'   [] 'sRight2'   [] 'sRight3'      }};
    f123 = {{ 0 16 2 16 2 16 0}   { [] 'sHCenter1' [] 'sHCenter2' [] 'sHCenter3' [] }};
    x123 = {{   16 2 16 2 0   }   {    'staticA1'  [] 'staticA2'  [] 'staticA3'     }};
    y123 = {{   16 2 0  2 16  } ; {    'staticD1'  [] 'staticD2'  [] 'staticD3'     }};
    s1   = {{ 20 0 20 } {[] 'sShrink' []}};
    s1   = {{ 20 0 20 };{[] s1        []}};
    p1   = {{'panel1'} {'staticP1'}};
    
    %  put all in sqare    
    r3 = {{10 0 10 0 10 0 10 0 10} {[] 'sFull' [] s1   []  []   [] p1   []}}; % three rows
    r2 = {{10 0 10 0 10 0 10 0 10} {[] d123    [] f123 []  e123 [] x123 []}};
    r1 = {{10 0 10 0 10 0 10 0 10} {[] b123    [] a123 []  c123 [] y123 []}};
    layout = {{10 0 10 0 10 0 10} ;{[] r3      [] r2   []  r1   []}};         % put them together
    
    data = data.CALL.addLayout( data, 'demo2fig', layout ); % use layout
    
    set(data.handles.demo2fig, 'color', 'red' ); % increase contrast
end
