function data_gui3_demo_axes_special_callback
    data_gui3(@demoinit); % init data stucture

function [data, redraw]= demoinit(data, redraw) % init callback
    i = cell( {
        { 'data.value'  2   }
    });
    data = data.CALL.addData(data, i); % add to data strukture
        
    g = cell( {
        { 'figure'       'demoaxes1'                                     'Name' 'Data gui3 lib special callbacks' ...
        'WindowScrollWheelFcn' @figureWhell  'WindowButtonUpFcn' @figureButtonUp 'WindowButtonMotionFcn' @figureMouseMove ...
        'MouseEnteredCallback' @figureEnter }
        { 'axes'         'axes1'        'demoaxes1'                       'buttondownfcn' @axesButtonDown}
        } );
    data = data.CALL.addGui(data, g); % create gui elements
    
    layout = {{ 50 0 50 } { [] 'axes1' [] }};
    layout = {{ 50 0 50 };{ [] layout [] }};
    
    data = data.CALL.addLayout( data, 'demoaxes1', layout ); % use layout

function [data, redraw] = figureWhell( data, redraw, event )
    display('figureWheel')
    display(event)

function [data, redraw] = figureMouseMove( data, redraw, event ) %#ok<INUSL>
    display('figureMouseMove')
    display(event)
    redraw = false; % do not redraw after every mouse move

function [data, redraw] = figureButtonUp( data, redraw, event )
    display('figureButtonUp')
    display(event)

function [data, redraw] = figureEnter( data, redraw, event ) %#ok<INUSL>
    display('figureEnter')
    display(event)
    %event.jEvent
    redraw = false; % do not redraw after every mouse move

function [data, redraw] = axesButtonDown( data, redraw, event ) 
    display('axesButtonDown')
    display(event)
