function data_gui3_demo_exception
    data_gui3(@demoinit, mfilename); % init data stucture

function [data,redraw]= demoinit( data, redraw, ~ ) % init callback
    i = cell( {
        { 'data.exception1'      'Exception 1'               [] @dereferrer  }
        { 'data.exception2'      'Exception 2'               [] @buggyProg  }
        { 'data.exception3'      'Exception 3'               [] @buggyProg2  }
        { 'data.timervalue'      1                        [0 1] @timerCallback }
        { 'data.exception4'      'Exception 4'               [] @buggyProg3  }
        { 'data.figname'         'Exceptions' }
        { 'data.crashtimer'      0 }
    });
    data = data.CALL.addData(data, i); % add to data strukture

    g = cell( {
        { 'figure'       'demo1fig'                          'Name' 'data.figname' 'position' [ 500 400 500 150] 'MenuBar' 'none'}
        { 'pushbutton'   'push1'    'demo1fig' 'data.exception1'    }
        { 'pushbutton'   'push2'    'demo1fig' 'data.exception2'    }
        { 'pushbutton'   'push3'    'demo1fig' 'data.exception3'    }
        { 'pushbutton'   'push4'    'demo1fig' 'data.exception4'    }
        { 'timer'        'timer1'   'data.timervalue'                       'ExecutionMode' 'fixedSpacing' 'Period' 1  }                
        } );
    data = data.CALL.addGui(data, g); % create gui elements

    layout = { { 0 100 100 100 100 0 } { [] 'push1' 'push2' 'push3' 'push4' [] } }; % hor layout
    data = data.CALL.addLayout( data, 'demo1fig', layout ); % use layout
    
function [data, redraw] = buggyProg(data, redraw, ~)
    r = e / a; %#ok<NASGU>

function [data, redraw] = buggyProg2(data, redraw, ~)
    data.CALL.addEdittext(data, 'bla', gcf, 'none', 'crash now');

function [data, redraw] = timerCallback(data, redraw, ~)
    data.figname = datestr(now);
    if data.crashtimer > 0
        r = e / a; %#ok<NASGU>
    end

function [data, redraw] = buggyProg3(data, redraw, ~)
    data.crashtimer = 1;