function data_gui3_demo_figure
   data_gui3(@startCb, mfilename);
    
function [data,redraw]= startCb( data, redraw, param1 )
    i = {
        { 'data.figstate'  'New figure'  [] @stateChanged }
    };
    data = data.CALL.addData(data, i);
 
    gui =  {
        { 'figure'     'demofigure1'                                 'Name' param1 'Toolbar' 'none'}
        { 'pushbutton' 'button1'       'demofigure1' 'data.figstate' }
        } ;
    data = data.CALL.addGui(data, gui);
    
    layout = {{ 0 30 0 };{ [] 'button1' [] }};
    data = data.CALL.addLayout( data, 'demofigure1', layout ); 
    
function [data, redraw] = stateChanged(data, redraw, event)
	n = 1;
    figname = ['demofigure' num2str(n)];
    while isfield(data.handles,figname) && ishandle(data.handles.(figname))
        n = n + 1;
        figname = ['demofigure' num2str(n)];
    end
    pos = get(data.handles.demofigure1, 'position');
    gui =  { { 'figure' figname 'Name' figname 'position' [pos(1)+n*20 pos(2)-n*20 pos(3) pos(4)] 'Toolbar' 'none' } } ;
    data = data.CALL.addGui(data, gui);
