function data_gui3_demo_huge_axes
    data_gui3(@demoinit); % init data stucture
end

function [data redraw] = demoinit( data, redraw ) % init callback
    i = cell( {
        { 'data.figname'  'Data gui3 lib demo axes fullscreen'  }
        { 'data.empty'    [] }
        { 'data.statustext' 'Dieser Satz kein Sinn' }
        { 'data.value'    1 [1 100] }
        { 'data.bgvisible'  'on' }
    });
    data = data.CALL.addData(data, i); % add to data strukture
    
    g = cell( {
        { 'figure'       'demo1fig'                                         'Name' 'data.figname' ...
            'DockControls' 'off' 'MenuBar' 'none' 'NumberTitle' 'off' 'Toolbar' 'none' }
        { 'axes'         'axes1'        'demo1fig'                          'Xticklabel' 'data.empty' ...
            'YTicklabel' 'data.empty' 'XTick' 'data.empty' 'YTick' 'data.empty'  'visible' 'data.bgvisible'}
        { 'panel'       'panel1'     'demo1fig'                          'backgroundcolor' 'none'}     
        { 'statictext'   'statusfield'  'demo1fig' 'data.statustext' 'foregroundcolor' [1 0 0] }    
        });
    data = data.CALL.addGui(data, g); % create gui elements

    layout = {{ 0 26 0};{ [] 'statusfield' [] }};
    layout = {{ 'axes1' 'panel1' } { [] layout }};
    data = data.CALL.addLayout( data, 'demo1fig', layout ); % use layout
    data = setImage(data);    
end

function data = setImage(data)
    load mandrill
    data.image = image(X,'parent',data.handles.axes1);
    colormap(map);
end

