function data_gui3_demo_layout9
    data_gui3(@demoinit, mfilename); % init data stucture

function [data,redraw]= demoinit( data, redraw, filename ) % init callback
    g = cell( {
        { 'figure'       'demo1fig'                          'Name' filename 'position' [ 500 400 500 150] 'MenuBar' 'none'}
        { 'pushbutton'   'push1'    'demo1fig' 'Button 1'    }
        { 'pushbutton'   'push2'    'demo1fig' 'Button 2'    }
        { 'pushbutton'   'push3'    'demo1fig' 'Button 3'    }
        { 'pushbutton'   'push4'    'demo1fig' 'Button 4'    }
        { 'pushbutton'   'push5'    'demo1fig' 'Button 5'    }
        { 'pushbutton'   'push6'    'demo1fig' 'Button 6'    }
        } );
    data = data.CALL.addGui(data, g); % create gui elements

    layout_b1 = {{ 0 70 0 } { []   'push2' [] }};
    layout_b2 = {{ 0 30 0 };{ [] layout_b1 [] }};
        
    layout_h1 = { {0 100 100 100 0}  {[] 'push1' layout_b2 'push3' []} }; % hor layout
    layout_h2 = { {0 100 100 100 0}  {[] 'push4' 'push5' 'push6' []} }; % hor layout
    layout_v = {      {50 0 50}   ; {layout_h1  [] layout_h2}               }; % vert layout
    data = data.CALL.addLayout( data, 'demo1fig', layout_v ); % use layout
