function data_gui3_demo_listbox
   data_gui3(@startCb, mfilename);
    
function [data,redraw]= startCb( data, redraw, param1 )
    i = {
        { 'data.lbstate'  1  [] @stateChanged }
        { 'data.lbtext'   {'eins' 'zwei' 'drei'} }
    };
    data = data.CALL.addData(data, i);
 
    gui =  {
        { 'figure'     'demofigure1'                                'Name' param1 'Toolbar' 'none'}
        { 'listbox'    'lb1'         'demofigure1' 'data.lbstate'   '1|2|3' }
        { 'listbox'    'lb2'         'demofigure1' 'data.lbstate'   {'1' '2' '3'} }
        { 'listbox'    'lb3'         'demofigure1' 'data.lbstate'   'data.lbtext' }
        } ;
    data = data.CALL.addGui(data, gui);
    
    layout = {{ 0 100 100 100 0 } { [] 'lb1' 'lb2' 'lb3' [] }};
    layout = {{ 0 70 0 };{ [] layout [] }};
    data = data.CALL.addLayout( data, 'demofigure1', layout ); 

function [data, redraw] = stateChanged(data, redraw, event)
    display(data.lbstate)
