function data_gui3_demo_panel
    data_gui3(@demoinit); % init data stucture
end

function [data redraw] = demoinit( data, redraw ) % init callback
    i = cell( {
        { 'data.tablein'   (1:.1:2)'  @table_check   @updatePlot }  % defined as numeric array
        { 'data.push1'      'PUSH1' []  @pushcb}
        { 'data.push2'      'PUSH2' []  @pushcb}
        { 'data.push3'      'PUSH3' []  @pushcb}
        { 'data.push4'      'PUSH4' []  }
        { 'data.p3avis'  'on' }
        { 'data.p3bvis'  'off' }
        { 'data.p3cvis'  'off' }

    });
    data = data.CALL.addData(data, i); % add to data strukture
    
    g = cell( {
        { 'figure'      'demo1fig'                                      'Name' 'Data gui panel demo' }
        { 'panel'       'panel1'     'demo1fig'                         'title' 'Panel 1' }
        { 'panel'       'panel2'     'demo1fig'                         'title' 'Panel 2' }
        { 'panel'       'panel3a'    'demo1fig'                         'title' 'Panel 3a' 'visible' 'data.p3avis'}
        { 'panel'       'panel3b'    'demo1fig'                         'title' 'Panel 3b' 'visible' 'data.p3bvis'}
        { 'panel'       'panel3c'    'demo1fig'                         'title' 'Panel 3c' 'visible' 'data.p3cvis'}
        { 'panel'       'panel4'     'demo1fig'                         'title' 'Panel 4' }
        { 'panel'       'panel4b'    'demo1fig'                         'title' 'Inside Panel 4' }
        { 'pushbutton'  'push1'      'demo1fig' 'data.push1'    }
        { 'pushbutton'  'push2'      'demo1fig' 'data.push2'    }
        { 'pushbutton'  'push3'      'demo1fig' 'data.push3'    }
        { 'pushbutton'  'push4'      'demo1fig' 'data.push4'    }
        } );
    data = data.CALL.addGui(data, g); % create gui elements
  
    p11 = {{ 50 0 50 } {'push1' [] 'push2'}};
    p12 = {{ 50 0 50 } {'push3' [] 'push4'}};
    p1  = {{ 20 0 20 };{p12 [] p11 }};
    p1  = {{ 'panel1' } {p1}};
    
    p3  = {{ 'panel3a' 'panel3b' 'panel3c' } { [] [] [] }};
    
    p4  = {{ 'panel4' } {'panel4b' } };
    
    layout1 = {{ 0 0 } {p1 'panel2' }};
    layout2 = {{ 0 0 } {p3 p4 }};
    layout  = {{ 0 0 };{ layout2 layout1 }};
    data = data.CALL.addLayout( data, 'demo1fig', layout ); % use layout    
end

function [data redraw] = pushcb( data, redraw, event ) 
    data.p3avis = 'off';
	data.p3bvis = 'off';
    data.p3cvis = 'off';
    switch event.dataIndex
        case 2
            data.p3avis = 'on';
        case 3
            data.p3bvis = 'on';
        case 4
            data.p3cvis = 'on';
    end
end
