function data_gui3_demo_popup_2
    data_gui3(@demoinit); % init data stucture

function [data,redraw]= demoinit( data, redraw ) % init callback
    i = cell( {
        { 'data.value'      2               [ 1 10 ]   @updatePlot  }
        { 'data.statustext' 'Ausgabe'                               }
        { 'data.listtext'   {'L1' 'L2' 'L3'}                        }
        { 'data.poptext'    'P1|P2|P3'                              }
        { 'data.radio1text' 'R1'                                    }
    });
    data = data.CALL.addData(data, i); % add to data strukture
    
    g = cell( {
        { 'figure'      'demopopup2'                                                                }
        { 'radiogroup'  'radiogroup1'   'demopopup2'  'data.value'   {'R3' 'R2' 'data.radio1text' } }
        { 'listbox'     'list1'         'demopopup2'  'data.value'   'data.listtext'                }
        { 'popupbox'    'popup1'        'demopopup2'  'data.value'   'data.poptext'                 }
        { 'statictext'   'statusfield'  'demopopup2'  'data.statustext'                             }
        } );
    data = data.CALL.addGui(data, g); % create gui elements
    
    layout = {{ 0 0 0 };{'radiogroup1_1' 'radiogroup1_2' 'radiogroup1_3' }}; % group radio butons
    layout = {{ 'radiogroup1'} { layout }}; % move radio buttons inside radiogroup
    layout = {{ 0 150 0 150 0 150 0} { [] 'list1' [] 'popup1' [] layout []}}; % elements side by side
    layout = {{ 30 0 200 0};{ 'statusfield' [] layout []}}; % stack statusline and other elements
    data = data.CALL.addLayout( data, 'demopopup2', layout ); % use layout

function [data,redraw] = updatePlot( data, redraw, event )
    data.statustext = [event.valueString ' == ' num2str(data.value) ];
    data.listtext{1} = ['L1 ' num2str(rand())]; % modify listtext element
    