function data_gui3_demo_resize
    data_gui3(@demoinit); % init data stucture
end

function [data redraw]= demoinit(data, redraw) % init callback
    % maintained variable definition:
    i = cell( {
        { 'data.value'      .5   [ .1 .9 ]  }
        { 'data.buttontext' 'Useless resizeable button' }
        { 'data.value1'      2 }
        { 'data.value2'      50 }
    });
    data = data.CALL.addData(data, i); % add to data strukture
    
    % gui element definition:
    g = cell( {
        % obligation definitions                                        optional definitions:
        %                'tagname'      'parent'                        'property name1' 'property value1' 'name 2' 'value 2'
        { 'figure'       'demofig1'                                     'Name' 'Data gui3 lib resizeable layout demo 1'}
        { 'pushbutton'   'modpush'      'demofig1' 'data.buttontext'    }
        { 'slider'       'slider1'      'demofig1' 'data.value'         }        
        { 'statictext'   'statusfield'  'demofig1' 'data.buttontext' }        
        } );
    data = data.CALL.addGui(data, g); % create gui elements
    

    layout = {{ 10 30 30 5 'data.value' 'data.value1' 'data.value2' };{ [] 'statusfield' 'slider1' [] 'modpush' [] []}};
    data = data.CALL.addLayout( data, 'demofig1', layout ); % use layout
        
end
