function data_gui3_demo_table
    data_gui3(@demoinit); % init data stucture

function [data redraw] = demoinit( data, redraw ) % init callback
    i = cell( {
        { 'data.tablein'    (1:.1:2)'       @table_check                }  % defined as numeric array, no cb
        { 'data.reset'      'Reset table'   []              @resetTable }
    });
    data = data.CALL.addData(data, i); % add to data strukture
    
    g = cell( {
        { 'figure'      'demo1fig'                                      'Name' 'Data gui table demo' }
        { 'table'       'table1'        'demo1fig'  'data.tablein'      'ColumnEditable' true 'CellSelectionCallback' @cellSelected}
        { 'pushbutton'  'resetpush'     'demo1fig'  'data.reset'    }
        } );
    data = data.CALL.addGui(data, g); % create gui elements
  
    layout = {{ 30 0 };{'resetpush' 'table1' }};
    data = data.CALL.addLayout( data, 'demo1fig', layout ); % use layout    

function [data value error] = table_check(data, value, error)
% this is a table data check function
% data.tablein is defined as an array, the uitable object handles cell
% arrays also and if you used them your check function has to be modified.
    for i=1:length(value)
        if isnan(value(i))
            error = ['entry ' num2str(i) ' is not a number'];
            return;
        end
    end

function [data redraw]= resetTable(data, redraw, event) %#ok<INUSD>
    data = data.CALL.defaultValue(data,'data.tablein');

function [data redraw]= cellSelected(data, redraw, event)
    display('cell selected')
    display(event.Indices)