function data_gui3_demo_timer
    data_gui3(@demoinit); % init data stucture
end

function [data redraw] = demoinit( data, redraw ) % init callback
    % maintained variable definition:
    i = cell( {
        % variable name; default value; validation; callback 
        { 'data.value'  2   [ 1 10 ]   }
        { 'data.figurename' 'Data gui3 lib demo timer' }
        { 'data.timervalue' 0 [0 1] @timerCallback }
        { 'data.toggletext' 'Timer on/off' }
    });
    data = data.CALL.addData(data, i); % add to data strukture
    
    % gui element definition:
    g = cell( {
        % obligation definitions                                            optional definitions:
        %                'tagname'  'parent'                                'property name1' 'property value1' 'name 2' 'value 2'
        { 'figure'       'demo1fig'                                         'Name' 'data.figurename'}
        { 'slider'       'slider1'  'demo1fig' 'data.value'                 }
        { 'togglebutton' 'toggle1'  'demo1fig' 'data.timervalue' 'data.toggletext' }
        { 'timer'        'timer1'   'data.timervalue'                       'ExecutionMode' 'fixedSpacing' 'Period' .1  }        
        } );
    data = data.CALL.addGui(data, g); % create gui elements
    
    layout = {{ 0 100 200 0 } {[] 'toggle1' 'slider1' [] }};
    layout = {{ 0  20 0 };{[]  layout   [] }};    
    data = data.CALL.addLayout( data, 'demo1fig', layout ); % use layout
    
    data.timervalue = 1; % start timer (after this callback...)
end

function [data redraw] = timerCallback( data, redraw, event ) %#ok<INUSD>
    data.value = mod(fix(data.value),10)+1;
end
