function data_gui3_demo_change_position
    data_gui3(@demoinit1); % init data stucture
end

function [data redraw]= demoinit1( data, redraw ) % init callback
    % maintained variable definition:
    i = cell( {
        % variable name; default value; validation; callback 
        { 'data.value123' 1 [] @radio_has_changed}
        { 'data.statustext' ' ' }
        { 'data.figurepos' [ 200 200 400 500 ] }
        { 'data.wrongvalue' 'Useless pushbutton' [] @poscb}
    });
    data = data.CALL.addData(data, i); % add to data strukture
    
    % gui element definition:
    g = cell( {
        % obligation definitions                                        optional definitions:
        %                'tagname'      'parent'                        'property name1' 'property value1' 'name 2' 'value 2'
        { 'figure'       'demo1fig'                                     'Name' 'Data gui3 lib demo constraint' 'position' 'data.figurepos'}
        { 'radiogroup'   'radiogroup'   'demo1fig' 'data.value123'  { 'String' 'Integer' 'Numeric'} 'Title' 'Constraint' }
        { 'statictext'   'statusfield'  'demo1fig' 'data.statustext' }
        { 'pushbutton'   'wrongpush'    'demo1fig' 'data.wrongvalue' }        
        } );
    data = data.CALL.addGui(data, g); % create gui elements

    layout = {{ 26 26 26 };{ 'radiogroup_1' 'radiogroup_2' 'radiogroup_3' }};
    layout = {{ 'radiogroup' } {layout}};
    layout = {{ 0 30 30 10 100 0 };{ [] 'wrongpush' 'statusfield' [] layout [] }};
    layout = {{ 0 300 0 } { [] layout [] }};
    data = data.CALL.addLayout( data, 'demo1fig', layout ); % use layout 
end

function [data redraw] = radio_has_changed(data, redraw, event) %#ok<INUSD>
    data.statustext = 'radio changed';
    switch data.value123
        case 1
            data = data.CALL.defaultValue(data, 'data.figurepos');
        case 2
            data.figurepos = [ 200 200 500 600 ];
        case 3
            data.figurepos = [ 200 200 600 700 ];
    end
end

function [data redraw] = poscb(data, redraw, event) %#ok<INUSD>
    %data.figurepos
end
