function data_gui3_demo_deref
    data_gui3(@demoinit); % init data stucture
end

function [data redraw] = demoinit(data, redraw ) % init callback

    i = cell( {
        { 'data.opentasks'      0               [] @dereferrer  }
        { 'data.stringvalue'    'press start'                   }
        { 'data.start'          'Start'         [] @doStart     }
    });
    data = data.CALL.addData(data, i); % add to data strukture
    
    g = cell( {
        { 'figure'       'demo1fig'                                     'Name' 'Data gui deref demo' }
        { 'statictext'   'outputfield'  'demo1fig' 'data.stringvalue'   }
        { 'pushbutton'   'startbutton'  'demo1fig' 'data.start'         }
        { 'deref'        'mydereftag'   'data.opentasks'                }
        } );
    data = data.CALL.addGui(data, g); % create gui elements
    
    layout = {{ 0 30 30 0 };{[] 'outputfield' 'startbutton' [] }};
    data = data.CALL.addLayout( data, 'demo1fig', layout ); % use layout    
end

function [data redraw] = doStart( data, redraw, event) %#ok<INUSD>
    % callback, triggered with the start button
    data.opentasks = 10; % short after this callback the function "dereferrer" will be called
end

function [data redraw]= dereferrer( data, redraw, event ) %#ok<INUSD> new callback function structure, will be used in data_gui3; event is s structure
    % this function will be called until data.opentasks is zero
    % include your state machine here
    display(['dereferrer : ' num2str(data.opentasks) ' ' datestr(now) ]);
    if data.opentasks > 0
        data.stringvalue = num2str(data.opentasks);
        data.opentasks = data.opentasks - 1;
        pause(0.1)
    else
        data.opentasks = 0;
    end
end
