function data_gui3_demo_label
    data_gui3(@demoinit3); % init data stucture

function [data, redraw]= demoinit3(data, redraw) % init callback
    % maintained variable definition:
    i = cell( {
        % variable name; default value; validation; callback 
        { 'data.figureName'     'DataGui3 Label Demo'                                       }
        { 'data.pushtoggle'      'Change label'              []         @toggle_fcn }
        { 'data.labeltext'      '<html><b>text with html tags</b></html>' }
        { 'data.labelcol'       [0.7 0.7 0.7] }
    });
    data = data.CALL.addData(data, i); % add to data strukture
    
    g = cell( {
        { 'figure'      'xob'                                 'Name' 'DataGui3 Label Demo' 'Toolbar' 'none' 'Menubar' 'none' }
        { 'pushbutton'  'pushdebug'   'xob'   'data.pushtoggle'    }  
        { 'label'       'newlabel'    'xob'   'data.labeltext' 'backgroundcolor' 'data.labelcol' }
        } );
    data = data.CALL.addGui(data, g); % create gui elements
        
    layout = { { 0 30 10 30 10 30 0 } ; {[] 'pushdebug' [] 'newlabel' [] }};
    layout = { { 0 .5 0 } {[] layout [] }};
    data     = data.CALL.addLayout(data, 'xob', layout);

function [data, redraw] = toggle_fcn( data, redraw, event ) %#ok<INUSD>
        data.labeltext = ['<html><b>' datestr(now) '</b></html>'];
        if data.labelcol(2) ~= 0.0
            data.labelcol = [0.7 0.0 0.0];
        else
            data = data.CALL.defaultValue(data,'data.labelcol');
        end
