function data_gui3_demo_two_axes
    data_gui3(@demoinit); % init data stucture
end

function [data redraw] = demoinit( data, redraw ) % init callback
    i = cell( {
        { 'data.figname'  'Data gui3 lib demo double axes'  }
    });
    data = data.CALL.addData(data, i); % add to data strukture
    
    g = cell( {
        { 'figure'       'demo1fig'                                         'Name' 'data.figname'}
        { 'axes'         'axes1'        'demo1fig'                          'Color' 'none' 'XColor' 'b' 'YColor' 'b'}
        { 'axes'         'axes2'        'demo1fig'                          'XAxisLocation' 'top' ...
           'YAxisLocation' 'right' 'Color' 'none' 'XColor' 'k' 'YColor' 'k'}
        } );    
    data = data.CALL.addGui(data, g); % create gui elements
    
    layout = {{ 'axes1' 'axes2' } { [] [] }};
    data = data.CALL.addLayout( data, 'demo1fig', layout ); % use layout
    
    x1 = 0:.1:40;
    y1 = 4.*cos(x1)./(x1+2);
    x2 = 1:.2:20;
    y2 = x2.^2./x2.^3;
    y2(19) = 0.5;
    line(x1,y1,'Color','b','parent',data.handles.axes1,'LineWidth',2);    
    line(x2,y2,'Color','k','Parent',data.handles.axes2,'LineWidth',2);        
end
